/* Shoot or Die! - Image.h
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#ifndef _IMAGE_H_
#define _IMAGE_H_

#include <iostream>

// Image Interface
class Image {

public:
	virtual ~Image() {};
	virtual Image* LoadImage(std::string, int = 0x1000000) = 0;
	virtual int Width() = 0;
	virtual int Height() = 0;
};

#endif // _IMAGE_H_
