/* Shoot or Die! - OpenGLGraphics.h
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#ifndef _OPENGLGRAPHICS_H_
#define _OPENGLGRAPHICS_H_

#include "Graphics.h"

// OpenGL Graphcis class
class OpenGLGraphics : public Graphics {

public:
	OpenGLGraphics();
	~OpenGLGraphics();
	void PutPixel(int, int, int);
	void PutPixel(int, int, short, short, short);
	int GetPixel(int, int) { return 0; };
	void Blit(Image*, Image*, Oblong* = 0, int = 0, int = 0);
	void DrawImage(Image*, int = 0, int = 0);
};

#endif // _OPENGLGRAPHICS_H_
