/* Shoot or Die! - SDLGraphics.h
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#ifndef _SDLGRAPHICS_H_
#define _SDLGRAPHICS_H_

#include <SDL/SDL.h>
#include "Graphics.h"

// SDL Graphcis class
class SDLGraphics : public Graphics {

	SDL_Surface* screen;
	SDL_Surface* image;

public:
	SDLGraphics(SDL_Surface*);
	~SDLGraphics();
	void PutPixel(int, int, int);
	void PutPixel(int, int, short, short, short);
	int GetPixel(int, int);
	void Blit(Image*, Image*, Oblong* = 0, int = 0, int = 0);
	void DrawImage(Image*, int = 0, int = 0);
};

#endif // _SDLGRAPHICS_H_
