/* Shoot or Die! - SDLImage.h
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#ifndef _SDLIMAGE_H_
#define _SDLIMAGE_H_

#include <SDL/SDL.h>
#include "Image.h"

// SDL Image class
class SDLImage : public Image {

	SDL_Surface* screen;
	SDL_Surface* image;

	int width, height;

public:
	SDLImage();
	~SDLImage();
	Image* LoadImage(std::string, int = 0x1000000);
	SDL_Surface* Surface();
	int Width();
	int Height();
};

#endif // _SDLIMAGE_H_
