/* Shoot or Die! - VideoDriver.h
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#ifndef _VIDEODRIVER_H_
#define _VIDEODRIVER_H_

// Video Driver class
class VideoDriver {

public:
	virtual ~VideoDriver() {};
	virtual void Fullscreen() = 0;
	virtual void ShowMouse(bool) = 0;
	virtual void BeginDraw() = 0;
	virtual void EndDraw() = 0;
};

#endif // _VIDEODRIVER_H_
