/* Shoot or Die! - OpenGLSprite.cpp
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#include "OpenGLImage.h"
#include "OpenGLGraphics.h"
#include "OpenGLSprite.h"

OpenGLSprite::OpenGLSprite(std::string filename, int colorkey, int fps) {

	graphics = new OpenGLGraphics();

	spritesheet = new OpenGLImage();
	spritesheet->LoadImage(filename, colorkey);
	framerate = fps;
}
