/* Shoot or Die! - OpenGLTilemap.cpp
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#include "OpenGLImage.h"
#include "OpenGLGraphics.h"
#include "OpenGLTilemap.h"

OpenGLTilemap::OpenGLTilemap(std::string filename) {

	graphics = new OpenGLGraphics();

	// open map
	LoadMap(filename);
	tileset = new OpenGLImage();
	LoadTileset(tilesetfile);
}
