/* Shoot or Die! - SDLTilemap.cpp
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#include "SDLGraphics.h"
#include "SDLImage.h"
#include "SDLTilemap.h"

SDLTilemap::SDLTilemap(std::string filename) {

	graphics = new SDLGraphics(SDL_GetVideoSurface());

	// open map
	LoadMap(filename);
	tileset = new SDLImage();
	LoadTileset(tilesetfile);
}
