/* Shoot or Die! - Graphics.h
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#ifndef _GRAPHICS_H_
#define _GRAPHICS_H_

#include "Image.h"
#include "Oblong.h"

// Graphcis class
class Graphics {

public:
	virtual ~Graphics() {};
	virtual void PutPixel(int, int, int) = 0;
	virtual void PutPixel(int, int, short, short, short) = 0;
	virtual int GetPixel(int, int) = 0;
	virtual void Blit(Image*, Image*, Oblong* = 0, int = 0, int = 0) = 0;
	virtual void DrawImage(Image*, int = 0, int = 0) = 0;
};

#endif // _GRAPHICS_H_
