/* Shoot or Die! - SDLSprite.cpp
 * Copyright (c) 2008, 2009 by Michael Borgmann <mail@lechuck.de>
 * This code is released under the ISC license
 */

#include <iostream>
#include "SDLImage.h"
#include "SDLGraphics.h"
#include "SDLSprite.h"

SDLSprite::SDLSprite(std::string filename, int colorkey, int fps) {

	graphics = new SDLGraphics(SDL_GetVideoSurface());

	spritesheet = new SDLImage();
	spritesheet->LoadImage(filename, colorkey);
	framerate = fps;
}
